Skip to main content
`Ctrl`+`K`

# PEPLinearSetEPS

Associate a linear eigensolver object (`EPS`) to the polynomial eigenvalue solver.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPLinearSetEPS(PEP pep,EPS eps)

Collective

## Input Parameters

- pep - the polynomial eigensolver context

- eps - the linear eigensolver context

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPLINEAR`, `PEPLinearGetEPS()`

## Level

advanced

## Location

src/pep/impls/linear/linear.c

## Implementations

PEPLinearSetEPS_Linear() in src/pep/impls/linear/linear.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages